Skip to content

List all redirects for a help center

Request

You can fetch a list of all URL redirects for a help center by making a GET request to https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects.

Redirects are returned in descending order on the updated_at attribute.

Requires the read_help_center_redirects_scope OAuth scope.

Security
bearerAuth
Path
help_center_idstringrequired

The unique identifier for the help center.

Example:123
Query
pageinteger

The page of results to fetch. Defaults to the first page.

Example:page=1
per_pageinteger

The number of results to return per page. Defaults to 50, maximum 250.

Example:per_page=50
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/help_center/help_centers/123/redirects?page=1&per_page=50' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

total_countinteger

A count of the total number of redirects.

Example:1
dataArray of objects(Help Center Redirect)

An array of help center redirect objects.

Response
{ "type": "list", "data": [ {} ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 } }